Subject: Re: bug#29812: 27.0.50; electric-quote-replace-double misbehaves in Lisp strings

From: Philipp Stephani <[email-masked]>
Date: Sun, 31 Dec 2017 17:03:14 +0000

Eli Zaretskii <[email-masked]> schrieb am So., 31. Dez. 2017 um 18:00 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Sun, 31 Dec 2017 16:49:31 +0000
> > Cc: [email-masked]
> >
> >  In C, "\"foo\"" produces ASCII quotes.
> >
> > Did you enable electric-quote-string?
>
> Should I?
>

Yes, it's nil by default.

>
> >  Well, can you give an example where it does work in strings?  Maybe
> >  I'm missing something, because it looked to me as if it never works in
> >  that case.
> >
> > Depends on what you mean with "work".
>
> I mean some way of inserting “foo” inside a string.  Is that possible
> somehow?
>

Sure, either by inserting the characters in some other way, or by using ``
and '' (double apostrophe).

>
> > A bare " should always close the string; after a \ it currently inserts
> > an opening quote because it only looks back one character.
>
> Which is a bug, isn't it?
>

Maybe. As said, it's a heuristic, and there's no unambiguous "correct"
behavior. But the patch I've sent modifies the behavior so that it ignores
the escape character.